Bug 43943

Summary: [V8] Support readonly Date attribute
Product: WebKit Reporter: Kinuko Yasuda <kinuko>
Component: WebCore Misc.Assignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, jam, japhet
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: OS X 10.5   
Bug Depends on:    
Bug Blocks: 42903    
Attachments:
Description Flags
Patch abarth: review+

Description Kinuko Yasuda 2010-08-12 17:27:20 PDT
Current CodeGeneratorV8 tries to create a hidden reference for a readonly Date attribute, but this makes compilation fail.
Date is represented as a double (or v8::Date) and is not a RefPtr type, so I think we shouldn't generate the hidden reference code for Date.
Comment 1 Kinuko Yasuda 2010-08-12 18:43:27 PDT
Created attachment 64289 [details]
Patch
Comment 2 Kinuko Yasuda 2010-08-12 18:50:40 PDT
I don't fully understand the code but I think it needs to go around the if statement around line 778 for Date (as we talked on chat).   Can you take a look at the patch?
Comment 3 Adam Barth 2010-08-31 20:03:25 PDT
Seems related to jam magic.
Comment 4 Adam Barth 2010-08-31 20:04:13 PDT
Sorry, John.  Turns out its not.
Comment 5 Adam Barth 2010-08-31 20:04:48 PDT
Comment on attachment 64289 [details]
Patch

ok.
Comment 6 Kinuko Yasuda 2010-09-01 23:18:12 PDT
Committed r66642: <http://trac.webkit.org/changeset/66642>